Subject: bug#75451: scratch/igc: Enable CHECK_STRUCTS

From: Andrea Corallo <[email-masked]>
Date: Fri, 17 Jan 2025 09:46:53 -0500

Pip Cet via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>>
>>>> (BTW, the contents of the #if might be out of date, not sure if we
>>>> meanwhile fix/scan additional structs.)
>>>
>>> I've now added checks for all structs that we use in "fix_*" functions
>>> (commit 76a0d739024).  I kept notes to make sure I didn't miss anything,
>>> but it's not impossible that I did.  I'll double-check things later.
>>>
>>> I plan to do anything passed to the "finalize_*" ones next, which should
>>> cover most of the ones we currently depend on, I think.
>>
>> Very nice! Thanks for taking this on!
>
> Thanks!
>
> This isn't strictly about the scratch/igc branch, but I personally think
> struct hashes should be checked in all builds, mismatches should be
> downgraded to #warnings, and --enable-checking=all could include
> -Werror=cpp.  (So the warnings would still abort a build with
> --enable-checking=all, but they'd *also* show up in regular builds.)
>
> Also, we should include them in the nativecomp ABI hash

+1